<template>
  <q-card flat class="q-pa-lg">
    <q-card-section>
      <div class="text-h4">Выход</div>
      <div class="text-subtitle2">Жаль, что вы решили выйти.</div>
    </q-card-section>
    <q-card-section horizontal>
      <q-space />
      <q-btn
        color="primary"
        :label="$t('Logout')"
        :to="{ name: 'logout' }"
        @click="onLogout"
      >
      </q-btn>
    </q-card-section>
  </q-card>
</template>

<script lang="ts">
import { useCurrentUserStore } from 'src/stores/current-user';
import { mapActions } from 'pinia';
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'LogoutComponent',
  setup() {
    return {};
  },
  methods: {
    ...mapActions(useCurrentUserStore, { logout: 'onLogout' }),
    onLogout() {
      this.logout();
    },
  },
});
</script>
